function AlterarSenhaController(ScreenService, MessageService, General) {
    
    this.changePassword = function(widget) {
        if (widget.isValid()) {
            var currentRow = widget.currentRow;
            if (currentRow.newPw == currentRow.confirmPw) {
                var pwData = {
                    "OLD_PW": currentRow.currentPw,
                    "NEW_PW": currentRow.newPw
                };
                General.callRestEngine("/changePassword", "Row", pwData).then(function(){
                    MessageService.showMessageByCode('MSG_SUCCESS_RECOVER');
                    
                    widget.newRow();
                    
                    ScreenService.openWindow('product#home');
                }, function(response){
                    var errorMsg = "MSG_INVALID_PASSWORD";
                    if (response.data && response.data.error) {
                        errorMsg = response.data.error;
                    }
        
                    MessageService.showMessageByCode(errorMsg);
                });
            } else {
                MessageService.showMessageByCode('MSG_VALID_PWRECOVER');
                currentRow.newPw = "";
                currentRow.confirmPw = "";
            }
        }
    };
    
    this.cancel = function(widget){
        widget.newRow();
        ScreenService.openWindow('product#home');
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('AlterarSenhaController', AlterarSenhaController);
});